<div class="page-layout blank" fusePerfectScrollbar>
  <!-- Start Landing Section  -->
  <div class="landing">
    <div class="container">

      <div class="landing__newtask--btn">
        <button (click)="addList()"><span class="material-icons">add_circle_outline</span> New Task</button>
      </div>
      <div class="filter">
        <label for="">Filter By</label>
        <div class="filter-area">
          <mat-form-field class="full-width">
            <input matInput placeholder="Add Title" (change)="onChange($event.target.value)">
          </mat-form-field>

          <mat-form-field class="full-width">
            <input matInput [matDatepicker]="picker3" placeholder="Choose Date" [value]="date.value">
            <mat-datepicker-toggle matSuffix [for]="picker3"></mat-datepicker-toggle>
            <mat-datepicker #picker3></mat-datepicker>
          </mat-form-field>

          <mat-form-field class="full-width form-control-lg form-control-solid">
            <mat-label>Select Group</mat-label>
            <mat-select [(value)]="selected">
              <mat-option value="none">None</mat-option>
              <mat-option value="Group 1">Group 1</mat-option>
              <mat-option value="Group 2">Group 2</mat-option>
              <mat-option value="Group 3">Group 3</mat-option>
            </mat-select>
          </mat-form-field>
          <!-- multiple -->
        </div>
      </div>
      <div class="landing__groupone--btn">
        <div class="group-one"> Group 1</div>
        <div class="list-one">
          <button (click)="removeSelectedRows()" class="enableBtn-Color"><span class="material-icons">delete</span>
            Delete Selected</button>
          <button (click)="doneSelectedRows()"><span class="material-icons">done</span> Done</button>
        </div>
      </div>

      <mat-table [dataSource]="dataSourceGroupOne" multiTemplateDataRows class="orders-table example-full-width">
        <ng-container matColumnDef="{{ column }}" *ngFor="let column of displayedColumns">
          <mat-header-cell *matHeaderCellDef>
            <p class="text-truncate">{{ column }}</p>
          </mat-header-cell>
          <mat-cell *matCellDef="let element" style="cursor: pointer;">
            <mat-checkbox class="box-space" (click)="$event.stopPropagation()"
              (change)="$event ? selection.toggle(element) : null" [checked]="selection.isSelected(element)"
              [aria-label]="checkboxLabel(element)">
            </mat-checkbox>
            <p class="text-truncate" (click)="navigate(element)">{{ element[column] }}</p>
            <button class="table__btn--red" mat-menu-item aria-label="remove" (click)="delete(element)">
              <mat-icon class="delete-color">delete</mat-icon>
            </button>
            <button class="table__btn--green" mat-menu-item aria-label="remove"
              [style.display]="element.taskDone ? 'block' : 'none'">
              <mat-icon class="done-color">check_circle</mat-icon>
            </button>
          </mat-cell>
        </ng-container>
        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
        <mat-row class="order" *matRowDef="let element; columns: displayedColumns" (click)="selection.toggle(element)">
        </mat-row>
      </mat-table>

      <div class="group-one"> Group 2</div>
      <mat-table [dataSource]="dataSourceGroupTwo" multiTemplateDataRows class="orders-table example-full-width">
        <ng-container matColumnDef="{{ column }}" *ngFor="let column of displayedColumns">
          <mat-header-cell *matHeaderCellDef>
            <p class="text-truncate">{{ column }}</p>
          </mat-header-cell>
          <mat-cell *matCellDef="let element" style="cursor: pointer;">
            <mat-checkbox class="box-space" (click)="$event.stopPropagation()"
              (change)="$event ? selection.toggle(element) : null" [checked]="selection.isSelected(element)"
              [aria-label]="checkboxLabel(element)">
            </mat-checkbox>
            <p class="text-truncate" (click)="navigate(element)">{{ element[column] }}</p>
            <button class="table__btn--red" mat-menu-item aria-label="remove" (click)="delete(element)">
              <mat-icon class="delete-color">delete</mat-icon>
            </button>
            <button class="table__btn--green" mat-menu-item aria-label="remove"
              [style.display]="element.taskDone ? 'block' : 'none'">
              <mat-icon class="done-color">check_circle</mat-icon>
            </button>
          </mat-cell>
        </ng-container>
        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
        <mat-row class="order" *matRowDef="let element; columns: displayedColumns" (click)="selection.toggle(element)">
        </mat-row>
      </mat-table>

      <div class="group-one home-width"> OUR HOME TO DOS</div>
      <mat-table [dataSource]="dataSourceGroupTree" multiTemplateDataRows class="orders-table example-full-width">
        <ng-container matColumnDef="{{ column }}" *ngFor="let column of displayedColumns">
          <mat-header-cell *matHeaderCellDef>
            <p class="text-truncate">{{ column }}</p>
          </mat-header-cell>
          <mat-cell *matCellDef="let element" style="cursor: pointer;">
            <mat-checkbox class="box-space" (click)="$event.stopPropagation()"
              (change)="$event ? selection.toggle(element) : null" [checked]="selection.isSelected(element)"
              [aria-label]="checkboxLabel(element)">
            </mat-checkbox>
            <p class="text-truncate" (click)="navigate(element)">{{ element[column] }}</p>
            <button class="table__btn--red" mat-menu-item aria-label="remove" (click)="delete(element)">
              <mat-icon class="delete-color">delete</mat-icon>
            </button>
            <button class="table__btn--green" mat-menu-item aria-label="remove"
              [style.display]="element.taskDone ? 'block' : 'none'">
              <mat-icon class="done-color">check_circle</mat-icon>
            </button>
          </mat-cell>
        </ng-container>
        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
        <mat-row class="order" *matRowDef="let element; columns: displayedColumns" (click)="selection.toggle(element)">
        </mat-row>
      </mat-table>
    </div>
    <!-- End Landing Section  -->
  </div>

</div>